Bug 990282 - alsa-ucm.c: Assertion 'device->playback_channels || device->capture_channels' failed at modules/alsa/alsa-ucm.c:250, function ucm_get_device_property(). Aborting. [NEEDINFO]
alsa-ucm.c: Assertion 'device->playback_channels || device->capture_channels'...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
arm Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 15:01 EDT by Erik Natvig
Modified: 2014-07-25 06:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-25 06:54:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pbrobinson: needinfo? (thardobodol)


Attachments (Terms of Use)

  None (edit)
Description Erik Natvig 2013-07-30 15:01:18 EDT
Description of problem:
F19 armv7hl, sound is not working.

Version-Release number of selected component (if applicable):
1.0.27

How reproducible:
Always

Steps to Reproduce:
1. from command line, run pulseaudio
2. E: [pulseaudio] alsa-ucm.c: Assertion 'device->playback_channels || device->capture_channels' failed at modules/alsa/alsa-ucm.c:250, function ucm_get_device_property(). Aborting.


Actual results:
No sound from speakers

Expected results:
Pretty sounds from speakers

Additional info:

journalctl | tail gives:

Jul 28 14:58:20 chromebook-f19 pulseaudio[835]: [pulseaudio] alsa-ucm.c: Assertion 'device->playback_channels || device->capture_channels' failed at modules/alsa/alsa-ucm.c:250, function ucm_get_device_property(). Aborting.
Jul 28 15:52:14 chromebook-f19 pulseaudio[23159]: [autospawn] core-util.c: Failed to create secure directory (/run/user/1000/pulse): Permission denied
Jul 28 15:52:15 chromebook-f19 pulseaudio[23161]: [autospawn] core-util.c: Failed to create secure directory (/run/user/1000/pulse): Permission denied
chromebook-f19 pulseaudio[1117]: [pulseaudio] alsa-ucm.c: Assertion 'device->playback_channels || device->capture_channels' failed at modules/alsa/alsa-ucm.c:250, function ucm_get_device_property(). Aborting.
Jul 30 14:44:01 chromebook-f19 pulseaudio[1122]: [pulseaudio] pid.c: Stale PID file, overwriting.
Jul 30 14:44:01 chromebook-f19 pulseaudio[1122]: [pulseaudio] alsa-ucm.c: Assertion 'device->playback_channels || device->capture_channels' failed at modules/alsa/alsa-ucm.c:250, function ucm_get_device_property(). Aborting.
Comment 1 Peter Robinson 2014-07-24 20:28:47 EDT
What kernel?
Comment 2 Tim Jackson 2014-07-25 06:38:51 EDT
Tis doesn't sound like a problem with alsa-tools. alsa-tools contains some specific tools for dealing with specialist sound cards only.
Comment 3 Peter Robinson 2014-07-25 06:54:46 EDT
The ARM chromebook is not a device we actually support in the kernel until F-21/3.16 and I'm not even sure the F-19 remix had appropriate UCM patches in the first place. Re-test on mainline F-21+ and if the issue is still there we'll deal with it then.

Note You need to log in before you can comment on or make changes to this bug.